# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name warp

%global common_summary Web server for WAI applications

# main description used for all the subpackages
%global common_description A fast, light-weight web server for WAI applications.\
Warp is the premier WAI handler.\
See http://steve.vinoski.net/blog/2011/05/01/warp-a-haskell-web-server/.


Name:           ghc-%{pkg_name}
Version:        1.2.2
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        MIT
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-blaze-builder-conduit-devel
BuildRequires:  ghc-case-insensitive-devel
BuildRequires:  ghc-network-conduit-devel
BuildRequires:  ghc-simple-sendfile-devel >= 0.2.2
BuildRequires:  ghc-unix-compat-devel
BuildRequires:  ghc-wai-devel

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Jul 26 2012 Jens Petersen <petersen@redhat.com> - 1.2.2-1
- update to 1.2.2

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 1.2.1.1-2
- rebuild

* Sat Jun  2 2012 Jens Petersen <petersen@redhat.com> - 1.2.1.1-1
- update to 1.2.1.1
- license is now MIT
- depends on network-conduit

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.3-3
- add license to ghc_files

* Thu Mar  8 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.3-2
- rebuild

* Mon Jan 16 2012 Jens Petersen <petersen@redhat.com> - 0.4.6.3-1
- update to 0.4.6.3 and cabal2spec-0.25.2

* Fri Dec 16 2011 Jens Petersen <petersen@redhat.com> - 0.4.6.2-1
- update to 0.4.6.2

* Thu Dec  1 2011 Jens Petersen <petersen@redhat.com> - 0.4.6.1-1
- BSD; add deps

* Thu Dec  1 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
